Bug 202823 - Wrong hash code for FunctionImpl may cause wrong source info data in callstacks
Wrong hash code for FunctionImpl may cause wrong source info data in callstacks
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
7.0.1
PC Solaris
: P2 (vote)
: 7.0.1
Assigned To: Andrew Krasny
dlight-issues@cnd
CR_7087803, 701patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-29 13:50 UTC by Andrew Krasny
Modified: 2011-09-30 08:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (902 bytes, patch)
2011-09-29 13:54 UTC, Andrew Krasny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2011-09-29 13:50:04 UTC
Bug is reproducible in Studio, but has to be fixed in NB...
Comment 1 Andrew Krasny 2011-09-29 13:54:40 UTC
Created attachment 111311 [details]
Proposed patch
Comment 2 Andrew Krasny 2011-09-29 13:55:57 UTC
Vladimir, please review a patch... 
Valera, please give approve from QA...
Comment 3 Vladimir Voskresensky 2011-09-29 13:58:05 UTC
Fix is safe and correct
Comment 4 soldatov 2011-09-29 14:04:07 UTC
Verified in Oracle Solaris Studio with new org-netbeans-modules-dlight-perfan.jar from CR_7087803
Comment 5 Vladimir Voskresensky 2011-09-29 14:13:28 UTC
integrated releases/release701_fixes
http://hg.netbeans.org/releases/rev/6f657bc2cc9a
Comment 6 soldatov 2011-09-30 08:36:42 UTC
verified in special Oracle Solaris Studio 12.3 (2011/09/30) build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo